# This data file drives the specs in
# spec/frontend/fixtures/api_markdown.rb and
# spec/frontend/content_editor/extensions/markdown_processing_spec.js
---
- name: bold
  markdown: '**bold**'
- name: emphasis
  markdown: '_emphasized text_'
- name: inline_code
  markdown: '`code`'
- name: inline_diff
  markdown: |-
    * {-deleted-}
    * {+added+}
- name: subscript
  markdown: H<sub>2</sub>O
- name: superscript
  markdown: 2<sup>8</sup> = 256
- name: strike
  markdown: '~~del~~'
- name: horizontal_rule
  markdown: '---'
- name: link
  markdown: '[GitLab](https://gitlab.com)'
- name: attachment_link
  context: project_wiki
  markdown: '[test-file](test-file.zip)'
- name: attachment_link
  context: project
  markdown: '[test-file](/uploads/aa45a38ec2cfe97433281b10bbff042c/test-file.zip)'
- name: attachment_link
  context: group
  markdown: '[test-file](/uploads/aa45a38ec2cfe97433281b10bbff042c/test-file.zip)'
- name: attachment_image
  context: project_wiki
  markdown: '![test-file](test-file.png)'
- name: attachment_image
  context: project
  markdown: '![test-file](/uploads/aa45a38ec2cfe97433281b10bbff042c/test-file.png)'
- name: attachment_image
  context: group
  markdown: '![test-file](/uploads/aa45a38ec2cfe97433281b10bbff042c/test-file.png)'
- name: code_block
  markdown: |-
    ```javascript
      console.log('hello world')
    ```
- name: headings
  markdown: |-
    # Heading 1

    ## Heading 2

    ### Heading 3

    #### Heading 4

    ##### Heading 5

    ###### Heading 6
- name: blockquote
  markdown: |-
    > This is a blockquote
    >
    > This is another one
- name: thematic_break
  markdown: |-
    ---
- name: bullet_list_style_1
  markdown: |-
    * list item 1
    * list item 2
      * embedded list item 3
- name: bullet_list_style_2
  markdown: |-
    - list item 1
    - list item 2
      * embedded list item 3
- name: bullet_list_style_3
  markdown: |-
    + list item 1
    + list item 2
      - embedded list item 3
- name: ordered_list
  markdown: |-
    1. list item 1
    2. list item 2
    3. list item 3
- name: task_list
  markdown: |-
    * [x] hello
    * [x] world
    * [ ] example
      * [ ] of nested
        * [x] task list
        * [ ] items
- name: ordered_task_list
  markdown: |-
    1. [x] hello
    2. [x] world
    3. [ ] example
       1. [ ] of nested
          1. [x] task list
          2. [ ] items
- name: image
  markdown: '![alt text](https://gitlab.com/logo.png)'
- name: hard_break
  markdown: |-
    This is a line after a\
    hard break
- name: table
  markdown: |-
    | header | header |
    |--------|--------|
    | `code` | cell with **bold** |
    | ~~strike~~ | cell with _italic_ |

    # content after table
- name: emoji
  markdown: ':sparkles: :heart: :100:'
- name: reference
  context: project_wiki
  markdown: |-
    Hi @gitlab - thank you for reporting this ~bug (#1) we hope to fix it in %1.1 as part of !1
